Get a receive ruleset
Get one ruleset by id. A parent API key can read a ruleset owned by the parent or one of its direct subaccounts.
Path Parameters
- Type: stringFormat: uuididrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/api/v1/rulesets/{id}
curl https://api.bettermoney.com/api/v1/rulesets/123e4567-e89b-12d3-a456-426614174000
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"senderUserId": null,
"name": null,
"status": "ACTIVE",
"deliveredAsset": "string",
"deliveredChain": "string",
"toAddress": "string",
"mode": "NETTED",
"forceInstant": false,
"metadata": {
"additionalProperty": "anything"
},
"addresses": [
{
"chain": "string",
"failureReason": "string",
"status": "PENDING",
"address": null
}
],
"createdAt": "2026-10-05T14:25:44.292Z"
}